<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: puzzle_page.php
| Version: 1.0
| Author: jikaka
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once '../../maincore.php';
require_once THEMES.'templates/header.php';

if (file_exists(INFUSIONS."puzzle_page/locale/".$settings['locale'].".php")) {
	include INFUSIONS."puzzle_page/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."puzzle_page/locale/English.php";
}

add_to_head("
<link type='text/css' href='".INFUSIONS."puzzle_page/css/styles.css' media='screen' rel='stylesheet' />
<script type='text/javascript' src='".INFUSIONS."puzzle_page/js/jquery.jspuzzle-beta.js'></script>
<script type='text/javascript'>
$(function () {
            $('#imageContainer').jspuzzle({ columns: 3, rows: 3, emptyColor: '' });
        });
</script>
");

$result=dbquery(
	"SELECT * FROM ".DB_PHOTO_ALBUMS." ta LEFT JOIN ".DB_PHOTOS." USING (album_id)
	WHERE ".groupaccess('album_access')." ORDER BY RAND() LIMIT 1"
);

opentable($locale['pzp_003']);

if (dbrows($result)!= "0") {
	while($data = dbarray($result)) {
		echo "<div class='puzzle'>\n";
			echo "<span style='margin-left: 20px;'>".$locale['pzp_004']."</span>\n";
			echo "<div style='position: relative; top: 5px; left: 20px;'>\n";
				echo "<img src='".PHOTOS."album_".$data['album_id']."/".$data['photo_filename']."' height='400' title='".$data['photo_title']."' alt='".$data['photo_title']."' border='0' />\n";
			echo "</div>\n";
			echo "<br /><br />\n";
			echo "<span style='margin-left: 20px;'>".$locale['pzp_005']."</span>\n";
			echo "<div style='position: relative; top: 5px; left: 20px;'>\n";
				echo "<div id='imageContainer'>\n";
					echo "<img src='".PHOTOS."album_".$data['album_id']."/".$data['photo_filename']."' height='400' title='".$data['photo_title']."' alt='".$data['photo_title']."' border='0' />\n";
				echo "</div>\n";
			echo "</div>\n";
		echo "</div>\n";
	}
} else {
	echo $locale['pzp_006'];
}
closetable();

require_once THEMES."templates/footer.php";
?>